=== debian/control ===
Source: ros-melodic-dataspeed-ulc-can
Section: misc
Priority: optional
Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-can-msgs, ros-melodic-catkin, ros-melodic-dataspeed-ulc-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-dataspeed-ulc-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-can-msgs, ros-melodic-dataspeed-ulc-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs
Description: Package to translate ROS messages to and from CAN messages to interact with the Universal Lat/Lon Controller (ULC) firmware
