## ros-melodic-dataspeed-ulc-can 0.1.0

=== debian/changelog ===
ros-melodic-dataspeed-ulc-can (0.1.0-1bionic) bionic; urgency=high

  * Reconfigure CAN and ROS messages for new ULC capability
  * Use setuptools instead of distutils for python
    http://wiki.ros.org/noetic/Migration#Setuptools_instead_of_Distutils
  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 30 Nov 2022 05:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.5-1bionic) bionic; urgency=high

  * Updates scale factor on linear accel and decel limit CAN signals
  * Adds README to document the ROS node interface
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 06 Nov 2019 05:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.4-1bionic) bionic; urgency=high

  * Install base Python module instead of including it as a script
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 15 May 2019 04:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.3-1bionic) bionic; urgency=high

  * Added tcpNoDelay() for subscribers
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 09 Dec 2018 05:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.2-1bionic) bionic; urgency=high

  * Cleanup and test updates
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 05 Dec 2018 05:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.1-1bionic) bionic; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Fri, 30 Nov 2018 05:00:00 -0000
