=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-can-msgs, ros-melodic-catkin, ros-melodic-dataspeed-ulc-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs
+Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-can-msgs, ros-melodic-catkin, ros-melodic-dataspeed-ulc-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslib <!nocheck>, ros-melodic-rospy, ros-melodic-rostest <!nocheck>, ros-melodic-std-msgs
 Homepage: 
 Standards-Version: 3.9.2
